-- MySQL dump 10.11
--
-- Host: localhost    Database: hotel_rates
-- ------------------------------------------------------
-- Server version	5.0.77

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `admins`
--

DROP TABLE IF EXISTS `admins`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `admins` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(50) default NULL,
  `password` varchar(40) default NULL,
  `groups` varchar(40) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `admins`
--

LOCK TABLES `admins` WRITE;
/*!40000 ALTER TABLE `admins` DISABLE KEYS */;
INSERT INTO `admins` VALUES (11,'Frontdesk','1234','user'),(13,'admin','admin','admin');
/*!40000 ALTER TABLE `admins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `canales`
--

DROP TABLE IF EXISTS `canales`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `canales` (
  `id` int(11) NOT NULL auto_increment,
  `canal` varchar(50) default NULL,
  `nombre` varchar(200) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=76 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `canales`
--

LOCK TABLES `canales` WRITE;
/*!40000 ALTER TABLE `canales` DISABLE KEYS */;
INSERT INTO `canales` VALUES (21,'Zap/41','Condo 501'),(22,'Zap/42','Condo 502'),(23,'Zap/43','Condo 503');
/*!40000 ALTER TABLE `canales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdr`
--

DROP TABLE IF EXISTS `cdr`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdr` (
  `calldate` datetime NOT NULL default '0000-00-00 00:00:00',
  `clid` varchar(80) NOT NULL default '',
  `src` varchar(80) NOT NULL default '',
  `dst` varchar(80) NOT NULL default '',
  `dcontext` varchar(80) NOT NULL default '',
  `channel` varchar(80) NOT NULL default '',
  `dstchannel` varchar(80) NOT NULL default '',
  `lastapp` varchar(80) NOT NULL default '',
  `lastdata` varchar(80) NOT NULL default '',
  `duration` int(11) NOT NULL default '0',
  `billsec` int(11) NOT NULL default '0',
  `disposition` varchar(45) NOT NULL default '',
  `amaflags` int(11) NOT NULL default '0',
  `accountcode` varchar(20) NOT NULL default '',
  `uniqueid` varchar(32) NOT NULL default '',
  `userfield` varchar(255) NOT NULL default '',
  KEY `calldate` (`calldate`),
  KEY `dst` (`dst`),
  KEY `accountcode` (`accountcode`),
  KEY `uni` (`uniqueid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;


--
-- Table structure for table `cdrcost`
--

DROP TABLE IF EXISTS `cdrcost`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdrcost` (
  `id` int(11) NOT NULL auto_increment,
  `uniqueid` varchar(32) default NULL,
  `destination` varchar(80) default NULL,
  `cost` decimal(6,2) default NULL,
  PRIMARY KEY  (`id`),
  KEY `uni` (`uniqueid`)
) ENGINE=MyISAM AUTO_INCREMENT=351669 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdrcost`
--

LOCK TABLES `cdrcost` WRITE;
/*!40000 ALTER TABLE `cdrcost` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdrcost` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `normalization`
--

DROP TABLE IF EXISTS `normalization`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `normalization` (
  `id` int(11) NOT NULL auto_increment,
  `destination` varchar(40) default NULL,
  `fixed` varchar(40) default NULL,
  `dstchannel` varchar(40) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=347358 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `normalization`
--

LOCK TABLES `normalization` WRITE;
/*!40000 ALTER TABLE `normalization` DISABLE KEYS */;
/*!40000 ALTER TABLE `normalization` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rates`
--

DROP TABLE IF EXISTS `rates`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rates` (
  `ratesid` int(16) NOT NULL auto_increment,
  `prefix` varchar(14) character set latin1 default NULL,
  `name` varchar(80) character set latin1 default NULL,
  `cost` float(6,4) default NULL,
  `connectcost` float(6,4) default NULL,
  `includedsecond` int(16) default NULL,
  `step` int(12) default NULL,
  `trunk` varchar(200) character set latin1 default NULL,
  PRIMARY KEY  (`ratesid`),
  UNIQUE KEY `trunkprefix` (`prefix`,`trunk`)
) ENGINE=MyISAM AUTO_INCREMENT=228 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rates`
--

LOCK TABLES `rates` WRITE;
/*!40000 ALTER TABLE `rates` DISABLE KEYS */;
INSERT INTO `rates` VALUES (1,'1','USA',0.0500,0.0000,0,60,'sip'),(34,'297','Aruba',0.4032,0.0000,0,60,'sip'),(35,'247','Ascension',0.7764,0.0000,0,60,'sip'),(29,'213','Algeria',0.5508,0.0000,0,60,'sip'),(30,'376','Andorra',0.4608,0.0000,0,60,'sip'),(31,'244','Angola',0.2712,0.0000,0,60,'sip'),(32,'54','Argentina',0.4164,0.0000,0,60,'sip'),(33,'374','Armenia',0.3252,0.0000,0,60,'sip'),(40,'880','Bangladesh',0.0876,0.0000,0,60,'sip'),(39,'973','Bahrain',0.1020,0.0000,0,60,'sip'),(38,'994','Azerbaijan',0.5100,0.0000,0,60,'sip'),(37,'43','Austria',0.5844,0.0000,0,60,'sip'),(36,'61','Australia',1.1628,0.0000,0,60,'sip'),(28,'355','Albania',0.5736,0.0000,0,60,'sip'),(27,'93','Afghanistan',0.4548,0.0000,0,60,'sip'),(41,'375','Belarus',0.4896,0.0000,0,60,'sip'),(42,'32','Belgium',0.0972,0.0000,0,60,'sip'),(43,'501','Belize',0.4380,0.0000,0,60,'sip'),(44,'229','Benin',0.4164,0.0000,0,60,'sip'),(45,'975','Bhutan',0.2736,0.0000,0,60,'sip'),(46,'591','Bolivia',0.2880,0.0000,0,60,'sip'),(47,'387','Bosnia and Herzegovina',0.4224,0.0000,0,60,'sip'),(48,'267','Botswana',0.4080,0.0000,0,60,'sip'),(49,'55','Brazil',0.3168,0.0000,0,60,'sip'),(50,'673','Brunei Darussalam',0.0504,0.0000,0,60,'sip'),(51,'359','Bulgaria',0.0804,0.0000,0,60,'sip'),(52,'226','Burkina Faso',0.3840,0.0000,0,60,'sip'),(53,'257','Burundi ',0.1896,0.0000,0,60,'sip'),(54,'855','Cambodia',0.1176,0.0000,0,60,'sip'),(55,'237','Cameroon',0.4368,0.0000,0,60,'sip'),(56,'238','Cape Verde',0.4704,0.0000,0,60,'sip'),(57,'236','Central African Republic',0.6576,0.0000,0,60,'sip'),(58,'235','Chad',0.2400,0.0000,0,60,'sip'),(59,'56','Chile',0.1776,0.0000,0,60,'sip'),(60,'86','China',0.0288,0.0000,0,60,'sip'),(61,'57','Colombia',0.1392,0.0000,0,60,'sip'),(62,'269','Comoros',0.7752,0.0000,0,60,'sip'),(63,'242','Congo',0.2832,0.0000,0,60,'sip'),(64,'682','Cook Islands',1.2384,0.0000,0,60,'sip'),(65,'225','Cote dIvoire ',0.6528,0.0000,0,60,'sip'),(66,'385','Croatia',0.0432,0.0000,0,60,'sip'),(67,'53','Cuba',1.9140,0.0000,0,60,'sip'),(68,'357','Cyprus',0.1008,0.0000,0,60,'sip'),(69,'420','Czech Republic',0.3012,0.0000,0,60,'sip'),(70,'243','Democratic Republic of the Congo',0.5844,0.0000,0,60,'sip'),(71,'45','Denmark',0.2556,0.0000,0,60,'sip'),(72,'246','Diego Garcia ',1.5792,0.0000,0,60,'sip'),(73,'253','Djibouti - Mobile Djibouti Telecom',0.6420,0.0000,0,60,'sip'),(74,'670','East Timor',0.5988,0.0000,0,60,'sip'),(75,'593','Ecuador',0.5040,0.0000,0,60,'sip'),(76,'20','Egypt',0.2088,0.0000,0,60,'sip'),(77,'503','El Salvador',0.4476,0.0000,0,60,'sip'),(78,'882','Global International ATM Network',3.9372,0.0000,0,60,'sip'),(79,'240','Equatorial Guinea',0.4620,0.0000,0,60,'sip'),(80,'291','Eritrea ',0.4908,0.0000,0,60,'sip'),(81,'372','Estonia',1.9656,0.0000,0,60,'sip'),(82,'251','Ethiopia',0.5412,0.0000,0,60,'sip'),(83,'500','Falkland',0.8964,0.0000,0,60,'sip'),(84,'298','Faroe Islands',0.3372,0.0000,0,60,'sip'),(85,'679','Fiji ',0.3780,0.0000,0,60,'sip'),(86,'358','Finland',0.1944,0.0000,0,60,'sip'),(87,'33','France',0.2700,0.0000,0,60,'sip'),(88,'689','French Polynesia',0.4980,0.0000,0,60,'sip'),(89,'241','Gabon',0.4968,0.0000,0,60,'sip'),(90,'220','Gambia',0.7464,0.0000,0,60,'sip'),(91,'995','Georgia',0.2112,0.0000,0,60,'sip'),(92,'49','Germany',0.3132,0.0000,0,60,'sip'),(93,'233','Ghana',0.3468,0.0000,0,60,'sip'),(94,'350','Gibraltar',0.5628,0.0000,0,60,'sip'),(95,'881','Globalstar',2.2980,0.0000,0,60,'sip'),(96,'30','Greece',0.3060,0.0000,0,60,'sip'),(97,'299','Greenland',1.0008,0.0000,0,60,'sip'),(98,'590','Guadeloupe',0.6252,0.0000,0,60,'sip'),(99,'502','Guatemala',0.2676,0.0000,0,60,'sip'),(100,'245','Guinea',0.8580,0.0000,0,60,'sip'),(101,'592','Guyana',99.9999,0.0000,0,60,'sip'),(102,'509','Haiti',0.4320,0.0000,0,60,'sip'),(103,'504','Honduras',0.3240,0.0000,0,60,'sip'),(104,'852','HongKong',0.0288,0.0000,0,60,'sip'),(105,'36','Hungary',0.0288,0.0000,0,60,'sip'),(106,'354','Iceland',0.3228,0.0000,0,60,'sip'),(107,'91','India',0.0696,0.0000,0,60,'sip'),(108,'62','Indonesia',0.2112,0.0000,0,60,'sip'),(109,'870','Inmarsat SNAC',3.9372,0.0000,0,60,'sip'),(110,'98','Iran',0.2448,0.0000,0,60,'sip'),(111,'964','Iraq',0.2256,0.0000,0,60,'sip'),(112,'353','Ireland',0.0288,0.0000,0,60,'sip'),(113,'972','Israel',0.4068,0.0000,0,60,'sip'),(114,'39','Italy',0.3180,0.0000,0,60,'sip'),(115,'81','Japan',0.1752,0.0000,0,60,'sip'),(116,'962','Jordan',0.1248,0.0000,0,60,'sip'),(117,'254','Kenya',0.2184,0.0000,0,60,'sip'),(118,'686','Kiribati',1.0896,0.0000,0,60,'sip'),(119,'965','Kuwait',0.2280,0.0000,0,60,'sip'),(120,'996','Kyrgyzstan',0.2052,0.0000,0,60,'sip'),(121,'856','Lao',0.0936,0.0000,0,60,'sip'),(122,'371','Latvia',1.2492,0.0000,0,60,'sip'),(123,'961','Lebanon',0.3468,0.0000,0,60,'sip'),(124,'266','Lesotho',0.3420,0.0000,0,60,'sip'),(125,'231','Liberia',0.4932,0.0000,0,60,'sip'),(126,'218','Libya',0.4704,0.0000,0,60,'sip'),(127,'423','Liechtenstein',0.8256,0.0000,0,60,'sip'),(128,'370','Lithuania',0.3024,0.0000,0,60,'sip'),(129,'352','Luxembourg',0.3348,0.0000,0,60,'sip'),(130,'853','Macao',0.0672,0.0000,0,60,'sip'),(131,'389','Macedonia',0.0696,0.0000,0,60,'sip'),(132,'261','Madagascar',0.5940,0.0000,0,60,'sip'),(133,'265','Malawi',0.2016,0.0000,0,60,'sip'),(134,'60','Malaysia',0.0720,0.0000,0,60,'sip'),(135,'960','Maldives',0.6996,0.0000,0,60,'sip'),(136,'223','Mali',0.4188,0.0000,0,60,'sip'),(137,'356','Malta',0.4032,0.0000,0,60,'sip'),(138,'692','Marshall Islands',0.4812,0.0000,0,60,'sip'),(139,'596','Martinique',0.0576,0.0000,0,60,'sip'),(140,'222','Mauritania',0.3552,0.0000,0,60,'sip'),(141,'230','Mauritius',0.1644,0.0000,0,60,'sip'),(142,'52','Mexico',0.2964,0.0000,0,60,'sip'),(143,'691','Micronesia',0.3816,0.0000,0,60,'sip'),(144,'373','Moldova',0.3732,0.0000,0,60,'sip'),(145,'377','Monaco',0.5148,0.0000,0,60,'sip'),(146,'976','Mongolia',0.1668,0.0000,0,60,'sip'),(147,'382','Montenegro',0.5712,0.0000,0,60,'sip'),(148,'212','Morocco',0.6552,0.0000,0,60,'sip'),(149,'258','Mozambique',0.3924,0.0000,0,60,'sip'),(150,'95','Myanmar',0.4668,0.0000,0,60,'sip'),(151,'264','Namibia',0.3804,0.0000,0,60,'sip'),(152,'674','Nauru',1.3920,0.0000,0,60,'sip'),(153,'977','Nepal',0.2832,0.0000,0,60,'sip'),(154,'599','Netherlands Antilles',0.3516,0.0000,0,60,'sip'),(155,'687','New Caledonia',0.4368,0.0000,0,60,'sip'),(156,'64','New Zealand',0.4164,0.0000,0,60,'sip'),(157,'505','Nicaragua',0.5124,0.0000,0,60,'sip'),(158,'227','Niger',0.4152,0.0000,0,60,'sip'),(159,'234','Nigeria',0.2244,0.0000,0,60,'sip'),(160,'683','Niue',1.1520,0.0000,0,60,'sip'),(161,'850','North Korea',0.5220,0.0000,0,60,'sip'),(162,'47','Norway',0.4056,0.0000,0,60,'sip'),(163,'968','Oman',0.4188,0.0000,0,60,'sip'),(164,'92','Pakistan',0.2232,0.0000,0,60,'sip'),(165,'680','Palau',0.5700,0.0000,0,60,'sip'),(166,'970','Palestine',0.3708,0.0000,0,60,'sip'),(167,'507','Panama',0.2604,0.0000,0,60,'sip'),(168,'675','Papua New Guinea',1.0248,0.0000,0,60,'sip'),(169,'595','Paraguay',0.1692,0.0000,0,60,'sip'),(170,'51','Peru',0.7296,0.0000,0,60,'sip'),(171,'63','Philippines',0.2880,0.0000,0,60,'sip'),(172,'48','Poland',0.3240,0.0000,0,60,'sip'),(173,'351','Portugal',0.2400,0.0000,0,60,'sip'),(174,'974','Qatar ',0.3756,0.0000,0,60,'sip'),(175,'262','Reunion',0.3396,0.0000,0,60,'sip'),(176,'40','Romania',0.1680,0.0000,0,60,'sip'),(177,'7','Russia and Kazakhstan',0.1224,0.0000,0,60,'sip'),(178,'250','Rwanda',0.2520,0.0000,0,60,'sip'),(179,'290','Saint Helena',1.2408,0.0000,0,60,'sip'),(180,'508','Saint Pierre and Miquelon',0.3756,0.0000,0,60,'sip'),(181,'685','Samoa',0.6864,0.0000,0,60,'sip'),(182,'378','San Marino',0.0744,0.0000,0,60,'sip'),(183,'239','Sao Tome and Principe',1.5720,0.0000,0,60,'sip'),(184,'966','Saudi Arabia',0.2772,0.0000,0,60,'sip'),(185,'221','Senegal',0.5472,0.0000,0,60,'sip'),(186,'381','Serbia',0.4704,0.0000,0,60,'sip'),(187,'248','Seychelles',0.1680,0.0000,0,60,'sip'),(188,'232','Sierra Leone',0.8592,0.0000,0,60,'sip'),(189,'65','Singapore',0.0288,0.0000,0,60,'sip'),(190,'421','Slovakia',0.5088,0.0000,0,60,'sip'),(191,'386','Slovenia',0.7224,0.0000,0,60,'sip'),(192,'677','Solomon Islands',1.2540,0.0000,0,60,'sip'),(193,'252','Somalia',0.9948,0.0000,0,60,'sip'),(194,'27','South Africa',0.2268,0.0000,0,60,'sip'),(195,'82','South Korea',0.0720,0.0000,0,60,'sip'),(196,'34','Spain',0.9468,0.0000,0,60,'sip'),(197,'94','Sri Lanka',0.2352,0.0000,0,60,'sip'),(198,'249','Sudan',0.3240,0.0000,0,60,'sip'),(199,'597','Suriname',0.3864,0.0000,0,60,'sip'),(200,'268','Swaziland',0.3396,0.0000,0,60,'sip'),(201,'46','Sweden',0.1680,0.0000,0,60,'sip'),(202,'41','Switzerland',0.4752,0.0000,0,60,'sip'),(203,'963','Syria',0.3168,0.0000,0,60,'sip'),(204,'886','Taiwan',0.1344,0.0000,0,60,'sip'),(205,'992','Tajikistan',0.1956,0.0000,0,60,'sip'),(206,'255','Tanzania',0.2292,0.0000,0,60,'sip'),(207,'66','Thailand',0.0288,0.0000,0,60,'sip'),(208,'228','Togo',0.5844,0.0000,0,60,'sip'),(209,'690','Tokelau',1.3476,0.0000,0,60,'sip'),(210,'676','Tonga',0.3864,0.0000,0,60,'sip'),(211,'216','Tunisia',0.4920,0.0000,0,60,'sip'),(212,'90','Turkey',0.3300,0.0000,0,60,'sip'),(213,'993','Turkmenistan',0.2340,0.0000,0,60,'sip'),(214,'688','Tuvalu',0.4680,0.0000,0,60,'sip'),(215,'256','Uganda',0.2244,0.0000,0,60,'sip'),(216,'380','Ukraine',0.2100,0.0000,0,60,'sip'),(217,'971','United Arab Emirates',0.3084,0.0000,0,60,'sip'),(218,'44','United Kingdom',2.4048,0.0000,0,60,'sip'),(219,'598','Uruguay',0.3840,0.0000,0,60,'sip'),(220,'998','Uzbekistan',0.1608,0.0000,0,60,'sip'),(221,'678','Vanuatu',0.8232,0.0000,0,60,'sip'),(222,'58','Venezuela',0.2160,0.0000,0,60,'sip'),(223,'84','Viet Nam',0.1200,0.0000,0,60,'sip'),(224,'681','Wallis and Futuna',0.8868,0.0000,0,60,'sip'),(225,'967','Yemen ',0.2460,0.0000,0,60,'sip'),(226,'260','Zambia ',0.2820,0.0000,0,60,'sip'),(227,'263','Zimbabwe',0.7692,0.0000,0,60,'sip');
/*!40000 ALTER TABLE `rates` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-10-30  7:35:44
