/**
* Gets left coord of given element
*/
function GetLeft(element)
{
    var curNode = element;
    var left    = 0;
    
    do {
        left += curNode.offsetLeft;
        curNode = curNode.offsetParent;
    
    } while(curNode.tagName.toLowerCase() != 'body');
    
    return left;
}


/**
* Gets top coord of given element
*/
function GetTop(element)
{
    var curNode = element;
    var top    = 0;
    
    do {
        top += curNode.offsetTop;
        curNode = curNode.offsetParent;
    
    } while(curNode.tagName.toLowerCase() != 'body');
    
    return top;
}

/**
* Returns ids of rows which are highlighted
*/
function getSelectedRows()
{
    var checkboxes = document.getElementsByTagName('input');
    var selected   = new Array();

    for (var i=0; i<checkboxes.length; ++i) {
        if (   checkboxes[i].getAttribute('type') == 'checkbox'
            && checkboxes[i].getAttribute('id') == 'rowSelector'
            && checkboxes[i].checked) {

           selected[selected.length] = checkboxes[i].value;
        }
    }
    
    return selected;
}


/**
* Initiates a CSV download
*/
function csv_download()
{
    var selectObj  = document.getElementById('csvdownload_what');
    var incHeaders = document.getElementById('include_headers').checked ? '1' : '0';
    
    switch (selectObj.options[selectObj.selectedIndex].value) {
    
        // Download selected rows as CSV
        case 'selected':
            var selectedRows = getSelectedRows();
            
            if (selectedRows.length == 0) {
                alert(selectone);
                return;
            }
            
            for (var i=0; i<selectedRows.length; ++i) {
                selectedRows[i] = 'rows[]=' + selectedRows[i];
            }
            
            var rows = selectedRows.join('&');
            
            location.href = location.href + (location.search.length ? '&' : '?') + 'csvdownload=1&type=selected&headers=' + incHeaders + '&' + rows;
            break;


        // Download current page as CSV
        case 'page':
            var checkboxes = document.getElementsByTagName('input');
            var rows       = new Array();

            for (var i=0; i<checkboxes.length; ++i) {
                if (   checkboxes[i].getAttribute('type') == 'checkbox'
                    && checkboxes[i].getAttribute('id') == 'rowSelector') {

                    rows[rows.length] = 'rows[]=' + checkboxes[i].value;
                }
            }
            
            rows = rows.join('&');
            location.href = location.href + (location.search.length ? '&' : '?') + 'csvdownload=1&type=selected&headers=' + incHeaders + '&' + rows; // type as selected is correct
            break;


        // Download entire table as csv
        case 'table':
            location.href = location.href + (location.search.length ? '&' : '?') + 'csvdownload=1&type=table&headers=' + incHeaders;
            break;

        default:
            alert(selectone);
            break;
    }
    
    $('csvDownloadLayer').hide();
}


/**
* Handles row highlighting
*/
// FIXME: Broken in FF
/*
function deleteCheckboxClicked(checkbox) {
      el = checkbox.parentNode;
      while (el && el.nodeName != "TR") {
        el = el.parentNode;
      }
      if (el && el.nodeName == "TR") {
        if (checkbox.checked) {
          el.oldClassName = el.className;
          el.className = "delete";
        } else {
          el.className = el.oldClassName;
          el.oldClassName = "";
        }
      }
    }
*/
function row_highlight(event, trObj, checkboxObj, origClass)
{
    var srcElement = event.srcElement || event.target;

    if (srcElement.tagName.toLowerCase() == 'td' || srcElement.tagName.toLowerCase() == 'tr') {
        checkboxObj.checked = !checkboxObj.checked;
    
    } else if (srcElement.tagName.toLowerCase() == 'input') {
        event.cancelBubble = true;
    }

    if (trObj.className == 'highlightedRow') {
        trObj.className = origClass;
    } else {
        trObj.className = 'highlightedRow';
    }
}


/**
* Handles redirecting for viewing a row
*/
function row_view()
{
    var selectedRows = getSelectedRows();
    var view         = '';

    if (selectedRows.length == 0) {
        alert(selectone);
        return;
    }

    if (selectedRows.length > 1) {
        alert(selectonlyone);
        return;

    } else {
        view = 'view=' + encodeURIComponent(selectedRows[0]);
    }

    location.href = location.href + (location.search.length ? '&' : '?') + view;
}


/**
* Handles redirecting for deleting rows
*/
function row_delete()
{
    var selectedRows = getSelectedRows();
    var deletes      = new Array();
    
    if (selectedRows.length == 0) {
        alert(selectone);
        return;
    }

    for (var i=0; i<selectedRows.length; ++i) {
        deletes[deletes.length] = 'delete[]=' + encodeURIComponent(selectedRows[i]);
    }

    if (confirm('Are you sure you wish to delete the selected row(s)? ' + (deletes.length > 1 ? '\nWARNING: Multiple rows selected!' : ''))) {
        location.href = location.href + (location.search.length ? '&' : '?') + deletes.join('&');
    }
}


/**
* Handles redirecting for editing rows
*/
function row_edit()
{
    var selectedRows = getSelectedRows();
    var edit         = '';

    if (selectedRows.length == 0) {
        alert(selectone);
        return;
    }

    if (selectedRows.length > 1) {
        alert(selectonlyone);
        return;

    } else {
        edit = 'edit=' + encodeURIComponent(selectedRows[0]);
    }

    location.href = location.href + (location.search.length ? '&' : '?') + edit;
}


/**
* Handles redirecting for copying a row
*/
function row_copy()
{
    var selectedRows = getSelectedRows();
    var copy         = '';

    if (selectedRows.length == 0) {
        alert(selectonlyone);
        return;
    }

    if (selectedRows.length > 1) {
        alert(selectonlyone);
        return;

    } else {
        copy = 'copy=' + encodeURIComponent(selectedRows[0]);
    }

    location.href = location.href + (location.search.length ? '&' : '?') + copy;
}


/**
* Handles redirecting for adding a row
*/
function row_add()
{
    location.href = location.href + (location.search.length ? '&' : '?') + 'add=1';
}


/**
* Handles the search button
*/
function search()
{
    var searchStr = document.getElementById('searchInput').value;

    location.href = location.href + (location.search.length ? '&' : '?') + 'search=' + encodeURIComponent(searchStr);
}


/**
* Handles ordering links
*/
function orderBy(field)
{
    location.href = location.href + (location.search.length ? '&' : '?') + 'orderby=' + encodeURIComponent(field);
}


/**
* Enables the apply button on the edit form
*/
function enableApply()
{
    document.forms[0].elements['action'][2].disabled = false;
}


/**
* Returns the current date and time in ISO8660 format (YYYY-MM-DD HH:MM:SS)
*/
function currentDateTime()
{
    return currentDate() + ' ' + currentTime();
}


/**
* Returns the current date in ISO8660 format
*/
function currentDate()
{
    var d = new Date();

    var date  = d.getDate() > 9 ? d.getDate() : '0' + String(d.getDate());
    var month = (d.getMonth() + 1) > 9 ? (d.getMonth() + 1) : '0' + (d.getMonth() + 1);
    var year  = d.getFullYear();

    return year + '-' + month + '-' + date;
}


/**
* Returns the current time in ISO8660 format
*/
function currentTime()
{
    var d = new Date();

    var hours   = d.getHours() > 9 ? d.getHours() : '0' + d.getHours();
    var minutes = d.getMinutes() > 9 ? d.getMinutes() : '0' + d.getMinutes();
    var seconds = d.getSeconds() > 9 ? d.getSeconds() : '0' + d.getSeconds();

    return hours + ':' + minutes + ':' + seconds;
}

///////////////////////////////////////////////////////////////////////
//     This fade library was designed by Erik Arvidsson for WebFX    //
//                                                                   //
//     For more info and examples see: http://webfx.eae.net          //
//     or contact Erik at http://webfx.eae.net/contact.html#erik     //
//                                                                   //
//     Feel free to use this code as lomg as this disclaimer is      //
//     intact.                                                       //
///////////////////////////////////////////////////////////////////////


function Fade(el)
{
	el.toggle();
	return;
}

function csv_upload() {
    var incHeaders = document.getElementById('include_headers_upload').checked ? '1' : '0';
	document.forms['fupload'].submit();
    $('csvUploadLayer').hide();
}

function checkall(el) {
	if(el.checked) {
		check = true;
	} else {
		check = false; 
	}
    var checkboxes = document.getElementsByTagName('input');
	var cont=1;
    for (var i=0; i<checkboxes.length; ++i) {
        if (   checkboxes[i].getAttribute('type') == 'checkbox'
            && checkboxes[i].getAttribute('id') == 'rowSelector'
            ) {
				cont++;
				checkboxes[i].checked=check;
				  var parentTR;
      			  parentTR = find_ancestor('tr', checkboxes[i]);
				  if(el.checked) {
					  parentTR.className = "highlightedRow";
				  } else {
					  if(cont%2) {
					      parentTR.className = "altRow";
					  } else {
					      parentTR.className = "alt2Row";
					  }
				  }
        	}
    }
}

function find_ancestor(tagAnc, obj)
{
   var exit = false;
   var parent = obj;
   while (!exit)
   {
      parent = parent.parentNode;
      if (parent.tagName == tagAnc.toLowerCase() || parent.tagName == tagAnc.toUpperCase())
         return parent;
      if (parent.tagName == 'HTML' || parent.tagName == 'html')
         return null;
   }
}

