#!/usr/bin/php -q
<?
require_once("config.php");
require_once("class.csv.php");

if($argv[1]=="purge") {
  echo "Purging tables...\n";
  $query = "DELETE FROM cdr";
  $res = consulta_db($query,0,0);
  echo "Done...\n";
exit;
}

// Select the most recent event saved
$query = "SELECT calldate FROM cdr ORDER BY calldate DESC LIMIT 1";
$res = consulta_db($query,0,0);

if(db_num_rows($res)>0) {
	$row = db_fetch_row($res);
	$last_event_ts = return_timestamp($row[0]);
	$last_event_ts -= 10;
} else {
	$last_event_ts = 0;
}

//$last_event_ts = 0;

$count = 0;
foreach ($cdr_log_file as $filename) {

	echo "Processing $filename...\n";

	$csv = & new csv($filename, ',', '"' , '');
	$csv->SkipEmptyRows(TRUE); // Will skip empty rows. TRUE by default. (Shown here for example only).
	$csv->TrimFields(TRUE);    // Remove leading and trailing \s and \t. TRUE by default.

	while ($arr_data = $csv->NextLine()){
		procesa($arr_data);
	}
    $count++;
}

function procesa($linea) {

	global $last_event_ts;

	list ($accountcode,$src,$dst,$dcontext,$clid,$channel,$dstchannel,$lastapp,$lastdata,$start,$answer,$end,$duration,$billsec,$disposition,$amaflags,$userfield) = $linea;

	$costo = calcula_costo($dst,$dstchannel,$billsec);
	//if($costo[0]>0) {
	//	echo "$dst, sec $billsec - $costo[1] = $costo[0]\n";
	//}

	$start_ts = return_timestamp($start);
	if($start_ts < $last_event_ts) {
	//	echo "skip $start $start_ts porque es menor que $last_event_ts\n";
		return;
	}


	$query = "INSERT INTO cdr (accountcode, calldate, clid, src, dst, dcontext, channel, dstchannel,lastapp,lastdata,duration,billsec,disposition,amaflags,userfield,cost,dstname) ";
	$query.= "VALUES ('$accountcode','$start','$clid','$src','$dst','$dcontext','$channel','$dstchannel','$lastapp','$lastdata','$duration','$billsec','$disposition','$amaflags','$userfield','$costo[0]','$costo[1]')";

	$res = consulta_db($query,0,0,1);
}


function calcula_costo($dst,$dstchannel,$billsec) {

	global $outside_number_length;
	global $rate_table;
	global $rate_countrycode_field;
	global $rate_countryname_field;
	global $rate_cost_field;
	global $rate_step_field;
	global $rate_connectcost;
	global $rate_includeseconds;


	$return = array();
    if(!is_numeric(substr($dst,0,1)) || $billsec <= 0 ) {
		array_push($return,0);
		array_push($return,"None");
	} 
    elseif (strlen($dst)<$outside_number_length) {
		array_push($return,0);
		array_push($return,"None");
	} 
	else {
		$number = number_transform($dst);
		$query =  "SELECT $rate_cost_field,$rate_countryname_field,$rate_step_field,$rate_connectcost,$rate_includeseconds ";
        $query .= "FROM $rate_table WHERE '$number' RLIKE concat('^',$rate_countrycode_field) and '$dstchannel' RLIKE concat('^',trunk) ";
        $query .= "ORDER BY LENGTH($rate_countrycode_field) DESC, LENGTH(trunk) DESC";

		$res = consulta_db($query,0,0,1);

		if(db_num_rows($res) == 0) {
			// No rate? return 0?
			array_push($return,0);
			array_push($return,"None");
		} else {
			$row = db_fetch_row($res);
			// Costo de verdad
			$cost_per_step = $row[0];
			$country_name  = $row[1];
			$rate_step     = $row[2];
			$connect_cost  = $row[3];
			$included_sec  = $row[4];

			$duration_without_included = $billsec - $included_sec;
			if($duration_without_included > 0 ) {
				$cuanti = ceil($duration_without_included / $rate_step); 
			} else {
				$cuanti=0;
			}
			$costo = $connect_cost + ($cuanti * $cost_per_step);
//			echo "$dst $number $dstchannel costo = connect cost $connect_cost + ($cuanti * $cost_per_step) = $costo\n";

			array_push($return,$costo);
			array_push($return,$country_name);
		}
	}
	return $return;
}

function number_transform($number) {
	if(substr($number,0,1)<>'0' && substr($number,1,1)<>'0') {
		$number = '351'.$number;
	} elseif(substr($number,0,2)=='00') {
		$number = substr($number,2);
    }
	return $number;
}
?>
