DROP PROCEDURE IF EXISTS get_rate;
DELIMITER |
CREATE PROCEDURE get_rate(DESTNUM varchar(80), DSTCH varchar(80), BILLS int(11), OUT myname varchar(80), OUT final_cost float(6,2))
BEGIN
DECLARE rate_steps int(11);
DECLARE real_duration int(11);
DECLARE mycost float(6,2);
DECLARE mystep int(11);
DECLARE myconcost float(6,2);
DECLARE myinc int(11);
SELECT cost,name,step,connectcost,includedsecond INTO mycost,myname,mystep,myconcost,myinc
FROM rates WHERE DESTNUM RLIKE concat('^',prefix) and DSTCH RLIKE concat('^',trunk) 
ORDER BY LENGTH(prefix) DESC, LENGTH(trunk) DESC;
IF mycost > 0 THEN
SET real_duration = BILLS - myinc; 
IF real_duration > 0 THEN
SET rate_steps = CEIL(real_duration/mystep);
SET final_cost = myconcost + (rate_steps * mycost);
END IF;
END IF;
END;
|
DELIMITER ;
