-- MySQL dump 10.11
--
-- Host: localhost    Database: asterisk
-- ------------------------------------------------------
-- Server version	5.0.32-Debian_7etch1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `admins`
--

DROP TABLE IF EXISTS `admins`;
CREATE TABLE `admins` (
  `id` int(11) NOT NULL auto_increment,
  `groups` text NOT NULL,
  `login` varchar(12) NOT NULL default '',
  `password` varchar(12) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `admins`
--

LOCK TABLES `admins` WRITE;
/*!40000 ALTER TABLE `admins` DISABLE KEYS */;
INSERT INTO `admins` VALUES (5,'admin','admin','admin'),(6,'user','user','user'),(7,'admin','earguedas','3lm3r'),(8,'admin','smilligan','hoskins'),(9,'admin','nspotorno','n3ls0n'),(10,'user','aaa','123');
/*!40000 ALTER TABLE `admins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `canales`
--

DROP TABLE IF EXISTS `canales`;
CREATE TABLE `canales` (
  `id` int(11) NOT NULL auto_increment,
  `canal` varchar(50) default NULL,
  `nombre` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `canales`
--

LOCK TABLES `canales` WRITE;
/*!40000 ALTER TABLE `canales` DISABLE KEYS */;
INSERT INTO `canales` VALUES (9,'Zap/37','Diego Builes'),(8,'Zap/2','Nelson Spotorno'),(7,'Zap/25','Sean Milligan'),(10,'Zap/26','Mark Carroll'),(11,'Zap/38','Long Range '),(12,'Zap/6','Elmer Arguedas'),(13,'Zap/7','Brandon LaFerriere'),(14,'Zap/27','Martha Chavarria'),(15,'Zap/28','Conference Room'),(16,'Zap/13','Rob Panick'),(17,'Zap/14','Andreas'),(18,'Zap/9','643-4142'),(19,'Zap/10','643-1324'),(20,'Zap/11','643-3508'),(21,'Zap/29','Ros Galati');
/*!40000 ALTER TABLE `canales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdr`
--

DROP TABLE IF EXISTS `cdr`;
CREATE TABLE `cdr` (
  `calldate` datetime NOT NULL default '0000-00-00 00:00:00',
  `clid` varchar(80) NOT NULL default '',
  `src` varchar(80) NOT NULL default '',
  `dst` varchar(80) NOT NULL default '',
  `dcontext` varchar(80) NOT NULL default '',
  `channel` varchar(80) NOT NULL default '',
  `dstchannel` varchar(80) NOT NULL default '',
  `lastapp` varchar(80) NOT NULL default '',
  `lastdata` varchar(80) NOT NULL default '',
  `duration` int(11) NOT NULL default '0',
  `billsec` int(11) NOT NULL default '0',
  `disposition` varchar(45) NOT NULL default '',
  `amaflags` int(11) NOT NULL default '0',
  `accountcode` varchar(20) NOT NULL default '',
  `uniqueid` varchar(32) NOT NULL default '',
  `userfield` varchar(255) NOT NULL default '',
  KEY `calldate` (`calldate`),
  KEY `dst` (`dst`),
  KEY `accountcode` (`accountcode`),
  KEY `chan` (`channel`),
  KEY `dchan` (`dstchannel`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cdr`
--

LOCK TABLES `cdr` WRITE;
/*!40000 ALTER TABLE `cdr` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdr` ENABLE KEYS */;
UNLOCK TABLES;

/*!50003 SET @OLD_SQL_MODE=@@SQL_MODE*/;
DELIMITER ;;
/*!50003 SET SESSION SQL_MODE="ALLOW_INVALID_DATES" */;;
/*!50003 CREATE */ /*!50017 DEFINER=`root`@`localhost` */ /*!50003 TRIGGER `cdr_insert` AFTER INSERT ON `cdr` FOR EACH ROW BEGIN
    DECLARE new_dst varchar(80);
    IF NEW.billsec > 0 THEN
      CALL fix_number(NEW.dst,@fixed_dst);
      CALL get_rate(@fixed_dst,NEW.dstchannel,NEW.billsec,@myname,@final_cost);
      INSERT INTO cdrcost (uniqueid,destination,cost) VALUES (NEW.uniqueid,@myname,@final_cost);
      INSERT INTO normalization (destination,fixed,dstchannel) VALUES (NEW.dst,@fixed_dst,NEW.dstchannel);
    END IF;
  END */;;

DELIMITER ;
/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE */;

--
-- Table structure for table `cdrcost`
--

DROP TABLE IF EXISTS `cdrcost`;
CREATE TABLE `cdrcost` (
  `id` int(11) NOT NULL auto_increment,
  `uniqueid` varchar(32) default NULL,
  `destination` varchar(80) default NULL,
  `cost` decimal(6,2) default NULL,
  PRIMARY KEY  (`id`),
  KEY `uni` (`uniqueid`)
) ENGINE=MyISAM AUTO_INCREMENT=13703 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cdrcost`
--

LOCK TABLES `cdrcost` WRITE;
/*!40000 ALTER TABLE `cdrcost` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdrcost` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `normalization`
--

DROP TABLE IF EXISTS `normalization`;
CREATE TABLE `normalization` (
  `id` int(11) NOT NULL auto_increment,
  `destination` varchar(40) default NULL,
  `fixed` varchar(40) default NULL,
  `dstchannel` varchar(40) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2669 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `normalization`
--

LOCK TABLES `normalization` WRITE;
/*!40000 ALTER TABLE `normalization` DISABLE KEYS */;
/*!40000 ALTER TABLE `normalization` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rates`
--

DROP TABLE IF EXISTS `rates`;
CREATE TABLE `rates` (
  `ratesid` int(16) NOT NULL auto_increment,
  `prefix` varchar(14) character set latin1 default NULL,
  `name` varchar(80) character set latin1 default NULL,
  `cost` float(6,4) default NULL,
  `connectcost` float(6,4) default NULL,
  `includedsecond` int(16) default NULL,
  `step` int(12) default NULL,
  `trunk` varchar(200) character set latin1 default NULL,
  PRIMARY KEY  (`ratesid`),
  UNIQUE KEY `trunkprefix` (`prefix`,`trunk`)
) ENGINE=MyISAM AUTO_INCREMENT=143 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `rates`
--

LOCK TABLES `rates` WRITE;
/*!40000 ALTER TABLE `rates` DISABLE KEYS */;
INSERT INTO `rates` VALUES (126,'2','Africa',1.0000,0.0000,0,60,'sip'),(127,'54','Argentina',0.5000,0.0000,0,60,'sip'),(128,'7','Asia',1.0000,0.0000,0,60,'sip'),(129,'506','Costa Rica',0.0079,0.0000,0,60,'zap'),(130,'8','East Asia',1.0000,0.0000,0,60,'sip'),(131,'3','Europe',1.0000,0.0000,0,60,'sip'),(132,'506643','Local ',0.0079,0.0000,0,60,'zap'),(133,'1','North America/USA/Canada',0.2700,0.0000,0,60,'sip'),(134,'6','Oceania',1.0000,0.0000,0,60,'sip'),(135,'5','South & Latin America',1.0000,0.0000,0,60,'sip'),(136,'9','West/South Asia & Middle East',1.0000,0.0000,0,60,'sip'),(141,'999191','Icevoz',1.5000,0.0000,0,60,''),(140,'999','NoCharge',0.0000,0.0000,0,60,''),(142,'99919','Special',1.5000,0.0000,0,60,'');
/*!40000 ALTER TABLE `rates` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-01-30 19:13:38
